Bind value to placeholder

- « mysql_xdevapi\CollectionRemove

- CollectionRemove::__construct »

- PHP Manual
- mysql_xdevapi\CollectionRemove
- Bind value to placeholder

# CollectionRemove::bind

(No version information available, might only be in Git)

CollectionRemove::bind — Bind value to placeholder

### Description

public mysql_xdevapi\CollectionRemove::bind(array `$placeholder_values`): mysql_xdevapi\CollectionRemove

Bind a parameter to the placeholder in the search condition of the remove operation.

The placeholder has the form of :NAME where ':' is a common prefix that must always exists before any NAME where NAME is the name of the placeholder. The bind method accepts a list of placeholders if multiple entities have to be substituted in the search condition of the remove operation.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`placeholder_values`

  Placeholder values to substitute in the search condition. Multiple values are allowed and have to be passed as an array of mappings PLACEHOLDER_NAME->PLACEHOLDER_VALUE.

### Return Values

A CollectionRemove object that can be used to execute the command, or to add additional operations.

### Examples

Example #1 mysql_xdevapi\CollectionRemove::bind() example

    <?php$res = $coll->remove('age > :age_from and age < :age_to')->bind(['age_from' => 20, 'age_to' => 50])->limit(7)->execute();?>